Bug 1404 - *.so must not be stripped
: *.so must not be stripped
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/valgrind)
: unstable
: all Linux
: P5 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-10-15 18:50 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-10-15 18:50:39
Shared object files from valgrind must not be stripped - otherwise the reports
about mismatched free/delete/delete[] (and probably some other) do not give
enough info.

This is described in README_PACKAGERS in the tarball.

Please add \"%set_strip_method executable\" (or something like this
which does not contain \"shared\" to the spec.
---

---
------- Comment #1 From 2003-02-11 20:57:38 -------
Fixed in 1.0.4-alt1.
------- Comment #2 From 2003-02-11 20:57:38 -------
Fixed in 1.0.4-alt1.